#ifndef PROTOCOL_HPP
#define PROTOCOL_HPP

#include "Common.hpp"

namespace Protocol
{
    void init();
    void cleanup();

    bool hello(std::string* pHelloData,
               std::string* pMsg = nullptr);
    bool getProblem(uint64_t id,
                    std::string* pProblemData,
                    std::string* pMsg = nullptr);
    bool submitSolution(uint64_t id,
                        const std::string& solutionData,
                        std::string* pResponseData,
                        std::string* pMsg = nullptr);

    bool getScores(std::string* pScoresData,
                   std::string* pMsg = nullptr);
}

#endif
