#ifndef SCORES_HPP
#define SCORES_HPP

#include "Common.hpp"

class ScoreRec
{
public:
    uint64_t m_id = 0;
    uint64_t m_score = 0;
    uint64_t m_bestScore = 0;
};


bool readScores(std::string* pScoresData);
bool writeScores(const std::string& scoresData);

bool parseScores(const std::string& scoresData,
                 std::vector<ScoreRec>* pScores,
                 std::string* pMsg = nullptr);
bool parseScores(std::vector<ScoreRec>* pScores,
                 std::string* pMsg = nullptr);

#endif
