#include "Common.hpp"
#include "Protocol.hpp"
#include "Geometry.hpp"

using std::string;
using std::vector;

int main(int argc, char *argv[])
{
    string msg;

#if 0
    string helloData;
    if (!Protocol::hello(&helloData, &msg))
    {
        printf("%s\n", msg.c_str());
        return 1;
    }

    printf("ok: %s\n", helloData.c_str());
#endif

#if 0
    string problemData;
    if (!Protocol::getProblem(1, &problemData, &msg))
    {
        printf("%s\n", msg.c_str());
        return 1;
    }

    printf("ok: %s\n", problemData.c_str());
#endif

#if 1
    vector<Point> polygon;
    polygon.emplace_back(0, 0);
    polygon.emplace_back(4, 0);
    polygon.emplace_back(0, 4);
    Point pa(1, 2);
    Point pb(2, 1);
    bool inside = edgeInPolygon(polygon, pa, pb);
    printf("edgeInPolygon: %s\n", inside ? "true" : "false");
#endif

    return 0;
}
