#ifndef GEOMETRY_HPP
#define GEOMETRY_HPP

#include "Common.hpp"
#include "Problem.hpp"

int64_t getOrientation(const std::vector<Point>& polygon); // positive => CCW

bool pointInPolygon(const std::vector<Point>& polygon, Point point);
std::vector<Point> getPointsInPolygon(const std::vector<Point>& polygon);

bool pointOnPolygon(const std::vector<Point>& polygon, Point point);
std::vector<Point> getPointsOnPolygon(const std::vector<Point>& polygon);

bool edgeInPolygon(const std::vector<Point>& polygon, Point pa, Point pb);
    
#endif
