#include "Common.hpp"
#include "Protocol.hpp"
#include "Scores.hpp"

using std::string;
using std::vector;

int main(int argc, char *argv[])
{
    string msg;
    string scoresData;
    if (!Protocol::getScores(&scoresData, &msg))
    {
        printf("%s\n", msg.c_str());
        return 1;
    }

    vector<ScoreRec> scores;
    if (!parseScores(scoresData, &scores, &msg))
    {
        printf("%s\n", msg.c_str());
        return 1;
    }

    if (!writeScores(scoresData))
    {
        printf("Error writing scores\n");
        return 1;
    }

    return 0;
}
